LNMP1.3 安装 fileinfo 组件

Modified on: Sat, 03 Dec 2016 06:34:00 +0800

最近在折腾一款论坛程序,需要fileinfo组件,而lnmp1.3默认没有支持。
其实很简单,只要修改 include/upgrade_php.sh 这个文件

把其中的:--disable-fileinfo
全部替换:--enable-fileinfo

再执行 ./upgrade.sh 选择4,升级php就行了。

flarum伪静态部分配置(仅限军哥lnmp1.3版本)

location / {
    try_files $uri $uri/ /index.php?$query_string;
}

location /api {
    try_files $uri $uri/ /api.php?$query_string;
}

location /admin {
    try_files $uri $uri/ /admin.php?$query_string;
}

location /flarum {
    deny all;
    return 404;
}

location ~ .php$ {
    fastcgi_split_path_info ^(.+.php)(/.+)$;
    fastcgi_pass unix:/tmp/php-cgi.sock;
    fastcgi_index index.php;
    include fastcgi.conf;
}

程序演示:https://forum.vpsmm.com/

已有 6 条评论

  1. kyzyhello kyzyhello

    支持PHP7吗

    1. 小夜 小夜

      @kyzyhello 支持php7,目前就是用的军哥lnmp1.4beta版+php7.0.13

  2. kyzyhello kyzyhello

    对了,你这个博客是哪家的啊,也很喜欢,我自己用好的zblog,虽然也很喜欢,但是代码有点烂

    1. 小夜 小夜

      我的主要博客程序,均采用typecho,你可以到这几个站看看,模板:https://typecho.me/ 插件:https://plugins.typecho.me/ 官网:http://typecho.org 我做的另一个TP博客站:https://www.qianduanmei.com

  3. kyzyhello kyzyhello

    谢谢你,博主,很好

  4. 素材 素材

    测试测试

添加新评论